Bug 837694 - Review Request: python-tahrir - Web app for interacting with openbadges
Review Request: python-tahrir - Web app for interacting with openbadges
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ralph Bean
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-04 17:01 EDT by Ross Delinger
Modified: 2014-09-29 16:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-05 17:37:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rbean: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ross Delinger 2012-07-04 17:01:19 EDT
Spec URL: http://www.csh.rit.edu/~rossdylan/rpms/tahrir-api/python-tahrir-api.spec
SRPM URL: http://www.csh.rit.edu/~rossdylan/rpms/tahrir-api/python-tahrir-api-0.1.3.1-1.fc17.src.rpm
Description: A pyramid web app for interacting with openbadges. Allows for the creation and tracking of new openbadges
Fedora Account System Username: rossdylan
Comment 1 Ross Delinger 2012-07-04 17:02:07 EDT
Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4218840
Comment 2 Ross Delinger 2012-07-04 17:21:00 EDT
Woops, that is the wrong spec and srpm
Spec URL: http://www.csh.rit.edu/~rossdylan/rpms/python-tahrir/python-tahrir-0.1.6-1.fc17.src.rpm
SRPM URL: http://www.csh.rit.edu/~rossdylan/rpms/python-tahrir/python-tahrir.spec
Description: A pyramid web app for interacting with openbadges. Allows for the creation and tracking of new openbadges
Fedora Account System Username: rossdylan
Comment 3 Ralph Bean 2012-07-05 12:42:49 EDT
I'll take this one on.  Before I proceed with a formal review, though:


 - One correction, you've got a typo:  "s/python-python-zope-sqlalchemy/python-zope-sqlalchemy/g"
Comment 5 Ralph Bean 2012-07-05 13:42:05 EDT
APPROVED


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* UNKNOWN" For detailed output of licensecheck see file:
     /home/threebean/837694-python-tahrir/licensecheck.txt
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: python-tahrir-0.1.6-1.fc17.src.rpm
          python-tahrir-0.1.6-1.fc17.noarch.rpm
python-tahrir.src: W: spelling-error %description -l en_US http -> HTTP
python-tahrir.src: W: spelling-error %description -l en_US wikipedia -> Wikipedia
python-tahrir.src: W: spelling-error %description -l en_US www -> WWW, wow
python-tahrir.src: W: spelling-error %description -l en_US pylonsproject -> pylons project, pylons-project, projectionist
python-tahrir.src: W: spelling-error %description -l en_US https -> HTTP
python-tahrir.src: W: spelling-error %description -l en_US mozilla -> Mozilla
python-tahrir.src: W: invalid-license AGPLv3+
python-tahrir.noarch: W: spelling-error %description -l en_US http -> HTTP
python-tahrir.noarch: W: spelling-error %description -l en_US wikipedia -> Wikipedia
python-tahrir.noarch: W: spelling-error %description -l en_US www -> WWW, wow
python-tahrir.noarch: W: spelling-error %description -l en_US pylonsproject -> pylons project, pylons-project, projectionist
python-tahrir.noarch: W: spelling-error %description -l en_US https -> HTTP
python-tahrir.noarch: W: spelling-error %description -l en_US mozilla -> Mozilla
python-tahrir.noarch: W: invalid-license AGPLv3+
2 packages and 0 specfiles checked; 0 errors, 14 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint python-tahrir
python-tahrir.noarch: I: enchant-dictionary-not-found en_US
python-tahrir.noarch: W: invalid-license AGPLv3+
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'

Requires
--------
python-tahrir-0.1.6-1.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    python(abi) = 2.7
    python-formencode  
    python-pyramid  
    python-pyramid-tm  
    python-sqlalchemy  
    python-tahrir-api  
    python-transaction  
    python-tw2-sqla  
    python-weberror  
    python-zope-sqlalchemy  

Provides
--------
python-tahrir-0.1.6-1.fc17.noarch.rpm:
    
    python-tahrir = 0.1.6-1.fc17

MD5-sum check
-------------
/home/threebean/837694-python-tahrir/upstream/tahrir-0.1.6.tar.gz :
  MD5SUM this package     : 53d2925e634a30be193c6eec14f11763
  MD5SUM upstream package : 53d2925e634a30be193c6eec14f11763


Generated by fedora-review 0.2.0git
External plugins:
Comment 6 Ralph Bean 2012-07-05 13:43:37 EDT
Just a note for the future:  Tahrir is a webapp.  You may want to think about bundling an apache/mod_wsgi configuration in the rpm so that when someone installs tahrir, it gets itself as close to up-and-running as possible.

You can use setuptools options like --install-data=%{_datadir}/%{name} to have setup.py install a production.ini file in /etc/tahrir/production.ini

You would also need to create an script for mod_wsgi to look at.  You can find examples of that in moksha (with fedpkg clone moksha) or here in fedora-tagger - https://github.com/ralphbean/fedora-tagger/blob/develop/fedora-tagger.spec

Both of those items involve making changes upstream since the tahrir package at present supports neither.
Comment 7 Ross Delinger 2012-07-05 16:02:43 EDT
New Package SCM Request
=======================
Package Name: python-tahrir
Short Description: A pyramid web app for interacting with openbadges. Allows for the creation and tracking of new openbadges
Owners: rossdylan
Branches: f17 el6
InitialCC: rossdylan
Comment 8 Gwyn Ciesla 2012-07-06 09:24:36 EDT
Git done (by process-git-requests).

Ralph, please take ownership of review BZs.  Thanks!
Comment 9 Ralph Bean 2012-07-06 09:37:08 EDT
Jon, got it.  Thank you.
Comment 10 Fedora Update System 2012-07-09 14:24:08 EDT
python-tahrir-0.1.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-tahrir-0.1.5-1.fc17
Comment 11 Fedora Update System 2012-07-09 15:11:52 EDT
python-tahrir-0.1.6-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-tahrir-0.1.6-1.fc17
Comment 12 Fedora Update System 2012-07-10 12:25:43 EDT
python-tahrir-0.1.6-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 13 Fedora Update System 2012-07-23 17:21:28 EDT
python-tahrir-0.1.8-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-tahrir-0.1.8-1.fc17
Comment 14 Fedora Update System 2012-08-05 17:37:48 EDT
python-tahrir-0.1.8-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Ralph Bean 2014-09-29 15:58:23 EDT
Package Change Request
======================
Package Name: python-tahrir
New Branches: epel7
Owners: ralph
Comment 16 Gwyn Ciesla 2014-09-29 16:13:46 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.